# coding=utf-8

from rpc.tool.log_tool import info_logger
from celery import shared_task
from api.services.activities.famous_doctors import FamousDoctorService


@shared_task
def Two_or_Five_update_vote_count(doc_type, doc_id, item_ids, version, item_id, reg_id, cnt):
    """两分钟后更新票数"""
    info_logger.info("----------开始进行灌水------------")
    info_logger.info("----------开始进行灌水------------")
    info_logger.info("----------开始进行灌水------------")
    info_logger.info("----------开始进行灌水------------")
    FamousDoctorService.update_rank(doc_type, doc_id, item_ids, version, cnt)
    info_logger.info("---------灌水进行中-----------")
    info_logger.info("---------灌水进行中-----------")
    info_logger.info("---------灌水进行中-----------")
    info_logger.info("---------灌水进行中-----------")
    info_logger.info("---------灌水进行中-----------")
    FamousDoctorService.Two_or_Five_vote(item_id, reg_id, cnt)
    FamousDoctorService.add_user(0, reg_id, item_id, cnt)
    info_logger.info("-----------灌水结束---------------")
    info_logger.info("-----------灌水结束---------------")
    info_logger.info("-----------灌水结束---------------")
    info_logger.info("-----------灌水结束---------------")
    info_logger.info("-----------灌水结束---------------")
    info_logger.info("-----------灌水结束---------------")
